Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.microedition.io
Interface FileConnection

All Superinterfaces:
  Connection, InputConnection, OutputConnection, StreamConnection

All Known Implementing Classes:
  Protocol

    public interface FileConnection

extends StreamConnection

This class is defined by the JSR-75 specification PDA Optional Packages for the J2ME™ Platform

Method Summary
`void` | `create()`
`void` | `delete()`
`boolean` | `exists()`
`long` | `fileSize()`
`String` | `getName()`
`String` | `getPath()`
`String` | `getURL()`
`boolean` | `isDirectory()`
`boolean` | `isOpen()`
`DataInputStream` | `openDataInputStream()` Open and return a data input stream for a connection.
`DataOutputStream` | `openDataOutputStream()` Open and return a data output stream for a connection.
`InputStream` | `openInputStream()` Open and return an input stream for a connection.
`OutputStream` | `openOutputStream()` Open and return an output stream for a connection.
`OutputStream` | `openOutputStream(long byteOffset)`

Methods inherited from interface javax.microedition.io.Connection
`close`

Method Detail

### isOpen

    boolean isOpen()

### openInputStream

    InputStream openInputStream()
                                throws IOException

  Description copied from interface: `InputConnection`
  Open and return an input stream for a connection.

  Specified by:
    `openInputStream` in interface `InputConnection`
  Returns:
    An input stream
  Throws:
    `IOException` - If an I/O error occurs

### openDataInputStream

    DataInputStream openDataInputStream()
                                        throws IOException

  Description copied from interface: `InputConnection`
  Open and return a data input stream for a connection.

  Specified by:
    `openDataInputStream` in interface `InputConnection`
  Returns:
    An input stream
  Throws:
    `IOException` - If an I/O error occurs

### openOutputStream

    OutputStream openOutputStream()
                                  throws IOException

  Description copied from interface: `OutputConnection`
  Open and return an output stream for a connection.

  Specified by:
    `openOutputStream` in interface `OutputConnection`
  Returns:
    An output stream
  Throws:
    `IOException` - If an I/O error occurs

### openDataOutputStream

    DataOutputStream openDataOutputStream()
                                          throws IOException

  Description copied from interface: `OutputConnection`
  Open and return a data output stream for a connection.

  Specified by:
    `openDataOutputStream` in interface `OutputConnection`
  Returns:
    An output stream
  Throws:
    `IOException` - If an I/O error occurs

### openOutputStream

    OutputStream openOutputStream(long byteOffset)
                                  throws IOException

  Throws:
    `IOException`

### fileSize

    long fileSize()
                  throws IOException

  Throws:
    `IOException`

### create

    void create()
                throws IOException

  Throws:
    `IOException`

### exists

    boolean exists()

### isDirectory

    boolean isDirectory()

### delete

    void delete()
                throws IOException

  Throws:
    `IOException`

### getName

    String getName()

### getPath

    String getPath()

### getURL

    String getURL()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"